test:
	make install
	ansible-playbook --syntax-check ansible/playbook.yml

install:
	ansible-galaxy role install -r ansible/requirements.yml
	ansible-galaxy collection install -r ansible/requirements.yml

# BEGIN
encrypt-vault:
	ansible-vault encrypt ansible/host_vars/localhost/vault.yml --vault-password-file ansible/vault-password

decrypt-vault:
	ansible-vault decrypt ansible/host_vars/localhost/vault.yml --vault-password-file ansible/vault-password

edit-vault:
	ansible-vault edit ansible/host_vars/localhost/vault.yml --vault-password-file ansible/vault-password

view-vault:
	ansible-vault view ansible/host_vars/localhost/vault.yml --vault-password-file ansible/vault-password

deploy:
	ansible-playbook -v --vault-password-file ansible/vault-password ansible/playbook.yml

ping:
	ansible -i ansible/inventory.ini digital_ocean -m ping

# END
